Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025104
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2013-11-07 17:122013-11-19 19:07
ReportershankarbView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0MP29
StatusclosedFix in branchFixed in SCM revisionfceec837bb81
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelPackaging and release
Regression date2013-10-24
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/decd52611c978f16fed7d91be1b9b1d4d4d2289e [^]
Triggers an Emergency PackNo
Summary

0025104: Error when trying to personalize form

DescriptionWhen trying to create form personalization for product window, js error is raised.
"Uncaught TypeError: Cannot call method 'getValue' of undefined"
Steps To Reproduce1. Go to product
2. Click on form personalization button.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062052)
hgbot (developer)
2013-11-07 17:32

Repository: erp/devel/pi
Changeset: fceec837bb81a17db40f5a2fd477c7cd9b192d6b
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Nov 07 22:01:27 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/fceec837bb81a17db40f5a2fd477c7cd9b192d6b [^]

Fixes Issue 0025104: Error when trying to personalize form

Proper comparison is done on getValue before fetching focus item value.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0062055)
hgbot (developer)
2013-11-08 11:14

Repository: erp/devel/pi
Changeset: 7efbd3faa1115ff3c1b275e02c9e7b4b808f9f41
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Fri Nov 08 15:43:00 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7efbd3faa1115ff3c1b275e02c9e7b4b808f9f41 [^]

Related to Issue 0025104:Remove unnecessary check

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0062062)
AugustoMauch (developer)
2013-11-08 14:07

Code reviewed and verified in pi@fceec837bb81
(0062244)
hudsonbot (developer)
2013-11-19 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab71e0273dc1 [^]

Maturity status: Test
(0062245)
hudsonbot (developer)
2013-11-19 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab71e0273dc1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-07 17:12 shankarb New Issue
2013-11-07 17:12 shankarb Assigned To => AugustoMauch
2013-11-07 17:12 shankarb Modules => Core
2013-11-07 17:12 shankarb Triggers an Emergency Pack => No
2013-11-07 17:13 shankarb Regression level => Packaging and release
2013-11-07 17:13 shankarb Regression date => 2013-10-24
2013-11-07 17:13 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/decd52611c978f16fed7d91be1b9b1d4d4d2289e [^]
2013-11-07 17:29 shankarb Assigned To AugustoMauch => shankarb
2013-11-07 17:29 shankarb Review Assigned To => AugustoMauch
2013-11-07 17:29 shankarb Issue Monitored: AugustoMauch
2013-11-07 17:32 hgbot Checkin
2013-11-07 17:32 hgbot Note Added: 0062052
2013-11-07 17:32 hgbot Status new => resolved
2013-11-07 17:32 hgbot Resolution open => fixed
2013-11-07 17:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fceec837bb81a17db40f5a2fd477c7cd9b192d6b [^]
2013-11-08 11:14 hgbot Checkin
2013-11-08 11:14 hgbot Note Added: 0062055
2013-11-08 14:07 AugustoMauch Note Added: 0062062
2013-11-08 14:07 AugustoMauch Status resolved => closed
2013-11-08 14:07 AugustoMauch Fixed in Version => 3.0MP29
2013-11-19 19:07 hudsonbot Checkin
2013-11-19 19:07 hudsonbot Note Added: 0062244
2013-11-19 19:07 hudsonbot Checkin
2013-11-19 19:07 hudsonbot Note Added: 0062245


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker